{% extends 'store/base.html' %}
{% load static %}
{% block title %}Check Out{% endblock title %}
{% block main-content %}
<div class="container" xmlns="http://www.w3.org/1999/html" xmlns="http://www.w3.org/1999/html">
    <div class="row mt-5">
        <div class="col-sm-6">
            <h4>Order Summary</h4>
            <hr>
            <form action="{% url 'create-checkout-session' %}" method="POST">
                {% csrf_token %}
                <input type="hidden" name="cart_product_id" value="{{cart_item_id}}">
                {% for item in cart_item %}

                <div class="card mb-2">
                    <div class="card-body order_data">
                        <input type="hidden" name="prod_id" value="{{item.product.id}}">
                        <input type="hidden" name="prod_stock" value="{{item.product.stock}}">
                        <input type="hidden" name="order_qty" value="{{item.quantity}}">
                        <input type="hidden" name="code" value="{{coupon_code}}">
                        <input type="hidden" name="total_amount" value="{{total_amount}}">
                        <input type="hidden" name="shipping_amount" value="{{shipping_amount}}">
                        <div class="col-sm-3 text-center align-self-center"><img src="{{item.product.product_img.url}}"
                                                                                 alt="" srcset=""
                                                                                 class="img-fluid img-thumbnail shadow-sm"
                                                                                 height="150" width="150"></div>
                        <h5>Product: {{item.product.title}}</h5>
                        <p>Quantity: {{item.quantity}} </p>
                        <p class="fw-bold">Price: {{item.total_cost}} </p>
                    </div>
                </div>
                {% endfor %}
                <p class="fw-bold">Total Cost + {{shipping_amount}} ={{total_amount}}</p>
                <small>Term and Condition: You can cancel the order prior to the dispatch of Product or the seller. The
                    order cannot be cancelled once the dispatch has been initiated.</small>
        </div>
        <div class="col-sm-4 offset-sm-1">
            <h4>Select Shipping Address</h4>
            <hr>
            {% for ad in add %}
            <div class="card">
                <div class="card-body">
                    <input type="hidden" value="{{ad.id}}" class="address_id">
                    <h5>{{ad.firstname}} {{ad.last_name}}</h5>
                    <h6>Email: {{ad.email}}</h6>
                    <h6>Mob: {{ad.mobile_no}}</h6>
                    <p>{{ad.residential_address}}, {{ad.state}} - {{ad.Zip}}</p>
                </div>
            </div>
            <div class="form-check mt-2 mb-5">
                <input class="form-check-input" type="radio" name="address_id" id="custadd{{forloop.counter}}"
                       value="{{ad.id}}" required>
                <label class="form-check-label fw-bold" for="">
                    Address: {{forloop.counter}} </label>
            </div>
            {% endfor %}
            <div class="d-grid">
                <button type="submit" id="checkout-button" class="btn btn-primary" onclick="checkButton()">Checkout |
                    Online Pay
                </button>
            </div>
            </form>
            <br>
            <form action="{% url 'Place-order' %}" method="POST">
                {% csrf_token %}
                <input type="hidden" name="cart_product_id" value="{{cart_item_id}}">
                {% for item in cart_item %}
                <input type="hidden" name="prod_id" value="{{item.product.id}}">
                <input type="hidden" name="prod_stock" value="{{item.product.stock}}">
                <input type="hidden" name="order_qty" value="{{item.quantity}}">
                <input type="hidden" name="code" value="{{coupon_code}}">
                <input type="hidden" name="total_amount" value="{{total_amount}}">
                <input type="hidden" name="shipping_amount" value="{{shipping_amount}}">
                {% endfor %}
                {% for ad in add %}
                <input type="hidden" value="{{ad.id}}" name="address_id">
                {% endfor %}
                <div class="d-grid">
                    <button type="submit" id="checkout-button-cod" class="btn btn-success" onclick="checkButton()">
                        Checkout | COD
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
{% endblock main-content %}
